Skip to main content
PUT
/
api
/
v1
/
workspaces
/
{id}
/
members
/
{userId}
/
role
Update member role
curl --request PUT \
  --url https://api.dualship.run/api/v1/workspaces/{id}/members/{userId}/role \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_id": "<string>"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "joined_at": "2024-01-15T10:30:00Z",
  "role": {
    "id": "550e8400-e29b-41d4-a716-446655440002",
    "name": "admin"
  },
  "user": {
    "avatar_url": "https://cdn.example.com/avatar.png",
    "email": "john@example.com",
    "first_name": "John",
    "id": "550e8400-e29b-41d4-a716-446655440001",
    "last_name": "Doe"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualship.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token authentication

Path Parameters

id
string
required

Workspace ID

userId
string
required

User ID

Body

application/json

New role

role_id
string
required

Response

Role updated

Workspace member information

id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

joined_at
string
Example:

"2024-01-15T10:30:00Z"

role
object

Role information

user
object

User information